Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Oct 2014, 20:41
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
FluxPup 1.5.1-non-pae
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 4 [54 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Author Message
slavvo67

Joined: 12 Oct 2012
Posts: 435
Location: The other Mr. 305

PostPosted: Sat 26 Apr 2014, 22:31    Post subject: PDF Follow-Up  

There is, in fact an issue which appears to be in ABI Word 2.9.4 when printing a document to PDF using CUPS. The file will open fine in PDF Viewer 0.1.8 (the Fluxpup default), however Adobe's PDF Viewer in M$ will not open the file. It reads, "Error processing page, bad parameter." For those concerned about compatibility, this is a problem.

This is not the case in Libre 4.2, where Cups-PDF, File-PDF and Export to PDF worked fine in both PDF viewers.

So my best guess after testing is that this is yet another reason not to use ABI Word for any serious work. On a related project, I am in the process of comparing ABI Word's document conversion ability vs. Libre Office.
Back to top
View user's profile Send private message 
oligin10

Joined: 17 Jul 2010
Posts: 189
Location: Buckeye State, USA

PostPosted: Sat 26 Apr 2014, 22:43    Post subject: Kingsoft  

Hi, I know it isn't the most lightweight, but I am using Kingsoft Office in a full install. I have a newer NM70I processor with 3gb of ram and it works well. I haven't checked to see if it has a problem as you are describing, but Abiword seems to give lots of small problems like you are describing. Thanks, Rob
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 435
Location: The other Mr. 305

PostPosted: Sat 26 Apr 2014, 22:53    Post subject:  

Not to get off the Fluxpup topic but Kingsoft Office is not the answer if you're looking for cross-compatibility. Still a nice package, though.
Back to top
View user's profile Send private message 
oldyeller


Joined: 15 Nov 2011
Posts: 812
Location: Mishawaka IN

PostPosted: Sat 26 Apr 2014, 23:06    Post subject:  

slavvo67 wrote:
Not to get off the Fluxpup topic but Kingsoft Office is not the answer if you're looking for cross-compatibility. Still a nice package, though.


Hi all I do have 3 versions of LibreOffice which you can get by going to the SFS-Builder-Downloader and using the sfs-downloader there you will find LibreOffice.sfs.

Or you can get them from here http://smokey01.com/Oldyeller/pet_packages-fluxpup/

Cheers
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 435
Location: The other Mr. 305

PostPosted: Sun 27 Apr 2014, 15:12    Post subject:  

To correct my previous post pertaining to ABI Word, it appears the issue is due to the older version of Ghostscript (8.15.4). An install of Ghostscript 9.0.5 corrects the print to Cups-PDF issue.

Thank you rcrsn51 for bringing this to light.

Best,

Slavvo67
Back to top
View user's profile Send private message 
oldyeller


Joined: 15 Nov 2011
Posts: 812
Location: Mishawaka IN

PostPosted: Mon 28 Apr 2014, 10:20    Post subject:  

slavvo67 wrote:
To correct my previous post pertaining to ABI Word, it appears the issue is due to the older version of Ghostscript (8.15.4). An install of Ghostscript 9.0.5 corrects the print to Cups-PDF issue.

Thank you rcrsn51 for bringing this to light.

Best,

Slavvo67


I will get this in the next build, I will be getting from the Ubuntu repo's since it is now copyrighted and would need a commercial license.

Cheers
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9198
Location: Stratford, Ontario

PostPosted: Mon 28 Apr 2014, 11:20    Post subject:  

oldyeller wrote:
I will get this in the next build, I will be getting from the Ubuntu repo's since it is now copyrighted and would need a commercial license


????

Get Ghostscript 9.05 from the link here.
Back to top
View user's profile Send private message 
oldyeller


Joined: 15 Nov 2011
Posts: 812
Location: Mishawaka IN

PostPosted: Mon 28 Apr 2014, 12:47    Post subject:  

rcrsn51 wrote:
oldyeller wrote:
I will get this in the next build, I will be getting from the Ubuntu repo's since it is now copyrighted and would need a commercial license


????

Get Ghostscript 9.05 from the link here.


When I did a google search on this is what I found here http://pages.cs.wisc.edu/~ghost/doc/gnu/

I will download the one you posted and put it in woof for the next build thanks for the information.

Cheers
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 435
Location: The other Mr. 305

PostPosted: Tue 29 Apr 2014, 23:28    Post subject:  

Yeller:

For the record, the Libre Pets in the Documents section of the form work perfectly, as well. I have 4.2 installed with no issues and no speed bumps. Both in PAE and Non-PAE Fluxpup.

Best,

Slavvo
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 435
Location: The other Mr. 305

PostPosted: Sun 04 May 2014, 15:22    Post subject: Heartbleed  

Oldyeller:

I am writing to advise that I believe Fluxpup PAE and Non_PAE have the OpenSSL version 1.0.1 that is vulnerable to the Heartbleed bug.

Typing: "openssl version" in the terminal reveals 1.0.1

I refer to the following thread:

http://www.murga-linux.com/puppy/viewtopic.php?t=93076

I have installed Shinobar's openssl-fix-1.0 pet located in the thread above and also installed the openssl_1.0.1g deb and libssl1.0.0_1.0 deb located in the thread (see below). Adding the debs was probably overkill but Shinobar's fix did not change the version number so I wasn't feeling completely comfortable with the fix. I recently asked him about this.

shinobar wrote:
For all Precise Puppy:
http://shino.pos.to/linux/puppy/openssl-fix-1.0.1-4ubuntu5.12.pet

It contains 2 libraries under /lib from libssl1.0.0_1.0.1-4ubuntu5.12_i386.deb,
/etc/ssl/openssl.cnf from openssl_1.0.1-4ubuntu5.12_i386.deb

Type next command on the terminal to see the openssl updated.
Code:
# openssl version -b
built on: Mon Apr  7 20:31:55 UTC 2014

'Apr 7, 2014' is OK.


AND THE DEB PACKAGES FROM USER FANTAZAM:

fantazam wrote:
For Puppy Precise 5.7.1 i installed these 2 packages and now i have updated openssl "OpenSSL 1.0.1g 7 Apr 2014"

https://launchpad.net/~george-edison55/+archive/openssl-heartbleed-fix/+files/libssl1.0.0_1.0.1g-1ppa1%7Eprecise1_i386.deb

https://launchpad.net/~george-edison55/+archive/openssl-heartbleed-fix/+files/openssl_1.0.1g-1ppa1%7Eprecise1_i386.deb
Back to top
View user's profile Send private message 
oligin10

Joined: 17 Jul 2010
Posts: 189
Location: Buckeye State, USA

PostPosted: Tue 06 May 2014, 20:34    Post subject: Dual booting with SolydX  

Hi oldyeller, just wanting to let you know that I am really happy with this. I am dual booting this with SolydX. The only real issue I have found is that it runs the cpu fan at a higher speed. I am absolutely amazed how little ram this uses. After booting and running Audacious in the background, it uses 61 mb of ram. Boot up Firefox 29, still only uses 144 mb. That is outstanding. Thanks, Rob
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 435
Location: The other Mr. 305

PostPosted: Fri 09 May 2014, 14:59    Post subject:  

Yeller:

First off, I noticed from your first post that your wife worked on the graphics for Fluxpup. Please congratulate her for a clean, well planned background for your distro.

Second, I think that I've identified the MPlayer issue (still testing my theory). It appears that it defaults to subtitles on, which for some reason defaults the screen to audio only unless you choose View from the top menu and pick a video ratio 1:1 or whatever.

Not positive on this but it seems to be the case, at least when playing my DVD's.

I suggest you have subtitles off by default in your new iso. Either way, I worked around it so it's just a suggestion.

It looks like I'll be doing a partition install over the weekend. Wish me luck!

Best,

Slavvo
Back to top
View user's profile Send private message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Sun 11 May 2014, 07:19    Post subject:  

G'day all,

I've just discovered FluxPup, it looks great. I don't think I've tried a Fluxbox distro before so when I saw it, I had to give it a try.

I'm impressed, and being a Puppy, I could make it my main linux. Very Happy

I've installed it frugally and had only one minor glitch so far. The first run of PPM resulted in an application freeze but it seems to have rectified itself as there has been no recurrence.

All in all, I think it is great, keep up the good work. Wink

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send private message 
Volhout


Joined: 28 Dec 2008
Posts: 402

PostPosted: Tue 20 May 2014, 02:54    Post subject: FluxPup 1.5.1
Subject description: Surprise
 

@killapup
+1

This is exactly describing how I feel about this pup. Tried it on 3 different computers (i5, N270, T2400) and it simply works flawless on all 3. Even wireless printing works out of the box.

And the theme is nice. It simply looks good. And it has Opera.... It might become my desktop of choice.

Applause for all involved.

Edit: is there an NVidea driver for Fluxpup non-pae??
Back to top
View user's profile Send private message 
RSH


Joined: 05 Sep 2011
Posts: 2420
Location: Germany

PostPosted: Sun 20 Jul 2014, 12:52    Post subject:  

Hi.

File isolinux.bin has a wrong ownership.

Instead of root, root it has 1026, 1026.

See image.

I don't know if this will cause problems, though you'll get an error message, if copying such files to a vfat (fat32) partition.
image-1.png
 Description   
 Filesize   30.23 KB
 Viewed   219 Time(s)

image-1.png


_________________
LazY Puppy
RSH's DNA
SARA B.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 4 [54 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0859s ][ Queries: 12 (0.0070s) ][ GZIP on ]